Bug Hunting Session
Bug 105411 - Crash deleting a conditional format
Summary: Crash deleting a conditional format
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.2 rc
Hardware: All All
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0 target:5.3.1 target:5.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-01-18 11:03 UTC by Xisco Faulí
Modified: 2017-02-16 15:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-01-18 11:03:12 UTC
Steps:
1. Open Calc
2. Go to Format - Conditional Formatting - Condition
3. Click on Delete.
4. Crash

Reproduced in

Version: 5.4.0.0.alpha0+
Build ID: 4b3e8de6b3cb971b02aa0cb90aceb9e104071d3b
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but not in

Version: 5.4.0.0.alpha0+
Build ID: ae604ccce58f414fb2a0446bb4f94553929c72e4
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2017-01-02_23:32:56
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 m.a.riosv 2017-01-18 12:44:16 UTC
Reproducible.
Version: 5.4.0.0.alpha0+
Build ID: bc8eb82877f544d8cf80e6f3ea02a9993e058491
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-01-17_07:28:47
Locale: es-ES (es_ES); Calc: CL
Comment 2 Xisco Faulí 2017-01-18 12:58:49 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2017-01-06 16:18:37 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2017-01-06 16:19:35 (GMT)
commit	ac561ab34ea9d26243fe3791f624c440dcf7ae6d (patch)
tree	e099c8cbd34d9a82045bada1a2aa7ab874fcf6c8
parent	abf38a157eabe867fb23a85901e149a50e6782cd (diff)
Resolves: tdf#105061 Only one text box shown in case of 'between'
non-layout ScCondFormatList widget not responding to layout child change

Adding Cc: to Caolán McNamara
Comment 3 Commit Notification 2017-01-18 14:13:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2fb220093f7178f75ebd582bbcd956c1ee7e03db

Resolves: tdf#105411 remove from entries before dispose

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-01-20 17:37:31 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=36f2fd038d6dd281358db9d3161d7082d9559f4c

tdf#105411: Add uitest

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-01-23 22:06:00 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb65b1fa2ac641d0cb4c589db2f4b3a4df0d6b07&h=libreoffice-5-3

Resolves: tdf#105411 remove from entries before dispose

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-01-25 13:10:30 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=226838107364db2139363ea9617b06f74a13e122&h=libreoffice-5-3-0

Resolves: tdf#105411 remove from entries before dispose

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 m.a.riosv 2017-02-01 01:18:44 UTC
Tested
Versión: 5.3.1.0.0+
Id. de compilación: 096baf452992b91ce07a3ade9e7b3c0f4283df39
Subpr. de CPU: 4; Versión de SO: Windows 6.2; Repr. de IU: predet.; Motor de trazado: HarfBuzz; 
TinderBox: Win-x86@62-merge-TDF, Branch:libreoffice-5-3, Time: 2017-01-31_16:30:19
Configuración regional: es-ES (es_ES); Calc: CL

Version: 5.4.0.0.alpha0+
Build ID: 2670ca3fc597decae78499d1397539668eb84e5e
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-01-31_05:32:46
Locale: es-ES (es_ES); Calc: CL